# Class goog.labs.testing.MatcherError

code »

    Error
      └ goog.debug.Error
          └ goog.labs.testing.MatcherError

Error thrown when a Matcher fails to match the input value.

## Constructor

goog.labs.testing.MatcherError ( opt_message )

Parameters

opt_message: `string=`
  The error message.

Show:PublicProtectedPrivate

## Static Properties

code » goog.labs.testing.MatcherError.superClass_ : `goog.debug.Error.prototype`